package com.dayou.common;

import java.math.BigDecimal;

/**
 * 类说明：全局常量
 *
 * @author: wucl
 * @since: 2022/11/28
 * created with IntelliJ IDEA.
 */
public interface Constants {

    /**
     * Date格式化字符串
     */
    String DATE_FORMAT = "yyyy-MM-dd";
    /**
     * DateTime格式化字符串
     */
    String DATETIME_FORMAT = "yyyy-MM-dd HH:mm:ss";
    /**
     * Time格式化字符串
     */
    String TIME_FORMAT = "HH:mm:ss";

    /**
     * 逗号 分割
     */
    String SPLITER = ",";


    /**
     * 主键
     */
    String ID = "id";
    /**
     * %
     */
    String BFH = "%";


    /**
     * 默认密码
     */
    String DEFAULT_PASSWORD = "12345678";


    /**
     * 超级管理员相关的id
     */
    Long superAdminId =1L;

    /**
     * 超级管理员员工号
     */
    String ADMIN_STAFF_NO = "admin";

    /**
     * 表单token的有效value
     */
    String FORM_TOKEN_VALID ="valid";
    /**
     * 表单token的无效value
     */
    String FORM_TOKEN_IN_VALID ="invalid";

    String STAFF_NO_PREFIX = "DY";

    String ADMIN = "超级管理员";

    String ADMIN_PASSWORD = "admin123";

    String MERGE_SYMBOL = "&";

    String MATH_REGULAR = "^[0-9]+(.[0-9]+)?$";

    BigDecimal HUNDRED = BigDecimal.TEN.multiply(BigDecimal.TEN);

    String YEARMONTH = "year-month";

    String MANAGER_OFFICE = "总经办";

    String FINANCE_DEPARTMENT = "财务部";

    String MARKET_DEPARTMENT = "市场部";

    String MARKET_DEPARTMENT1 = "市场一部";

    String MARKET_DEPARTMENT2 = "市场二部";

    String CUSTOMER_MANAGER = "客户经理";

    String SALESMAN = "客户经理-业务员";

    String SUPERVISOR = "营销主管";

    String MARKET_MANAGER = "市场部经理";

    String GIS_USER= "GIS";

    String LAND_RISK = "土地风评";

    String MAIN_OBJECT = "\\{\\{mainObject\\}\\}";

    String BY_TURNS = "轮单";

    String ASSIGN = "指派";

    //**************报告号格式*************//
    String LAND_NUMBER_FORMAT= "四川大友地价（year）估字第number号";

    String REALTY_NUMBER_FORMAT= "川友房估number号";

    //**************价值意见书格式*************//

    String STATEMENT_LAND_FORMAT = "川友土预number号";

    String STATEMENT_REALTY_FORMAT = "川友房预number号";

    //**************复评函格式*************//

    String LETTER_LAND_FORMAT = "川友土函number号";

    String LETTER_REALTY_FORMAT= "川友房函number号";

    String LETTER_LAND_FORMAT_X = "川友土函number";

    String LETTER_REALTY_FORMAT_X= "川友房函number";

    String BRI = "-";

    String HAO = "号";

    String YEAR = "year";

    String NUMBER = "number";

    String PROJECT = "PROJECT";

    String TARGET = "TARGET";

    String PRODUCTION = "PRODUCTION";

    String PLEDGE = "抵押";

    String RENT = "租金";

    String PNG = ".png";

    String PERSONAL_DEPARTMENT = "个贷部";
    String PERSONAL_INWARD="个贷内业岗";

    String MAJOR_HANDLER = "majorNodeHandler";

    String PERSONAL_HANDLER = "personalNodeHandler";

    String DOCX = ".docx";

    String PROD_VALIDATE_URI= "/#/prod/validate";

    String OUTWARD_TO_PRICE = "OUTWARD_TO_PRICE";

    String USER_ID = "USER_ID";

}
