package com.dayou.dto;

import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * 土规新增开票DTO
 */
@Data
public class ItemAddFinanceInvoiceDTO {

    /**
     * 实收款id
     */
    private Long realFundId;

    /**
     * 订单收款id
     */
    private Long orderFundId;

    /**
     * 产品收款id
     */
    private Long productionFundId;

    /**
     * 发票抬头
     */
    private String title;

    /**
     * 发票类型
     */
    private String type;

    /**
     * 税号
     */
    private String taxNo;

    /**
     * 计划开票金额
     */
    private BigDecimal planAmount;

    /**
     * 实际开票金额
     */
    private BigDecimal realAmount;

    /**
     * 计划开票日期
     */
    private LocalDate planMakeDate;

    /**
     * 实际开票时间
     */
    private LocalDate realMakeDate;

    /**
     * 开票状态（审核中，驳回，作废，待开票，已开票）
     */
    private String state;

    /**
     * 驳回/作废原因
     */
    private String reason;

    /**
     * 申请人id
     */
    private Long applyId;

    /**
     * 审核人id
     */
    private Long checkerId;

    /**
     * 开票人id
     */
    private Long makerId;

    /**
     * 开户银行
     */
    private String bankName;

    /**
     * 银行账号
     */
    private String bankAccount;

    /**
     * 银行地址
     */
    private String bankAddress;

    /**
     * 银行电话
     */
    private String bankTel;

    /**
     * 开票项目
     */
    private String makeItem;

    /**
     * 项目数量
     */
    private Integer itemQuantity;

    /**
     * 计量单位
     */
    private String itemUnit;

    /**
     * 税点（%）
     */
    private BigDecimal taxRate;

    /**
     * 税额
     */
    private BigDecimal taxAmount;

    /**
     * 土规项目id
     */
    private Long itemId;

}
