package com.dayou.entity;
import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableField;
import com.dayou.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
/**
 * <p>
 * 订单应收款
 * </p>
 *
 * @author wucl
 * @since 2023-12-14
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ExcelSheet(sheetName = "订单应收款")
public class OrderFund extends BaseEntity {

    private static final long serialVersionUID=1L;

    /**
     * 业务类型
     */
    @ImportCell
    @ExportCell(columnName = "业务类型")
    private String businessType;

    /**
     * 业务id
     */
    private Long businessId;

    /**
     *订单号
     */
    private String orderId;
    /**
     *订单名称
     */
    private String orderName;

    /**
     * 订单应收款
     */
    @ImportCell
    @ExportCell(columnName = "订单应收款")
    private BigDecimal shouldAmount;

    /**
     * 订单实收款
     */
    @ImportCell
    @ExportCell(columnName = "订单实收款")
    private BigDecimal realAmount;

    /**
     * 打折比例
     */
    @ImportCell
    @ExportCell(columnName = "打折比例")
    private BigDecimal discount;

    /**
     * 应收款备注
     */
    @ImportCell
    @ExportCell(columnName = "应收款备注")
    private String remark;

    @TableField(exist = false)
    private String reportNo;
    @TableField(exist = false)
    private BigDecimal standardAmount;


}
