package com.dayou.vo;

import com.dayou.annotation.Excel;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * 类说明：提成申报VO
 *
 * @author: wucl
 * @since: 2024/5/14
 * created with IntelliJ IDEA.
 */
@Data
public class CommissionDeclareVO {

    /**
     * 排序id
     */
    private Long id;

    /**
     * 申报id
     */
    private Long cId;

    /**
     * 主营业务id
     */
    private Long businessId;

    /**
     * 产品id
     */
    private Long productionId;

    /**
     * 订单号
     */
    @Excel(name = "订单号")
    private String orderId;

    /**
     * 订单名称
     */
    @Excel(name = "项目编号")
    private String orderName;
    /**
     *项目名称
     */
    @Excel(name = "项目名称")
    private String name;
    /**
     *报告号
     */
    @Excel(name = "报告号")
    private String reportNo;
    /**
     *评估对象类别
     */
    @Excel(name = "评估对象类别")
    private String businessObjectType;
    /**
     *委托人
     */
    @Excel(name = "委托人")
    private String bailor;
    /**
     *委托联系人
     */
    @Excel(name = "委托联系人")
    private String bailorContactName;
    /**
     *委托人电话
     */
    @Excel(name = "委托人电话")
    private String bailorContactTel;
    /**
     *客户名称
     */
    @Excel(name = "客户名称")
    private String clienteleName;
    /**
     *业务来源
     */
    @Excel(name = "业务来源")
    private String clienteleSubName;
    /**
     *负责人
     */
    @Excel(name = "负责人")
    private String principal;
    /**
     *客户经理
     */
    @Excel(name = "客户经理")
    private String clientManager;
    /**
     *下单时间
     */
    @Excel(name = "下单时间")
    private Date orderCreated;
    /**
     *提成类型
     */
    @Excel(name = "提成类型")
    private String commissionType;
    /**
     *审核状态
     */
    @Excel(name = "审核状态")
    private String declareResult;

    private Long commissionRateId;

    private Boolean declareType;

    private String declareUser;

    private String businessCate;

    private Long businessCateId;

    private String businessType;

    private Date created;

    private String declareBusinessType;

    /**
     * 提成比例
     */
    private Double ratio;

    /**
     * 提成申报自定义提成下限
     */
    private Double definedLowLimitAmount;

    /**
     * 产品送达状态
     */
    private Boolean delivery;

    /**
     * 产品类型
     */
    private String production;

    /**
     * 筛选开始时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date startTime;

    /**
     * 筛选结束时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date endTime;

}
