package com.dayou.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.dayou.annotation.Excel;
import com.dayou.annotation.ExcelSheet;
import com.dayou.annotation.ExportCell;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.Date;
import java.util.Set;

@Data
@ExcelSheet(sheetName = "认领记录")
public class FinanceClaimsVO {

    private Long id;

    @Excel(name = "付款银行")
    private String payer;

    @Excel(name = "付款金额")
    private BigDecimal amount;

    @Excel(name = "到账日期")
    private LocalDate payDatetime;

    @Excel(name = "认领金额")
    private BigDecimal claimAmount;

    @Excel(name = "认领人")
    private String claimUser;

    @Excel(name = "认领时间" ,dateFormat="yyyy-MM-dd HH:mm:ss")
    private Date claimDatetime;

    @Excel(name = "业务类型")
    private String businessType;

    @Excel(name = "项目编号")
    private String orderId;

    @Excel(name = "录入人")
    private String creator;

    @Excel(name = "备注")
    private String remark;







    //到账时间范围
    @TableField(exist = false)
    private String startDate;
    @TableField(exist = false)
    private String endDate;

    //认领时间范围
    @TableField(exist = false)
    private String xStartDate;
    @TableField(exist = false)
    private String xEndDate;

    /**
     * 认领人id
     */
    private Long claimUserId;

    private Set<Long> userIds;


}
