package com.dayou.vo;

import com.dayou.annotation.Excel;
import com.dayou.annotation.ExportCell;
import com.dayou.annotation.ImportCell;
import com.dayou.entity.PaymentCollection;
import lombok.Data;

import java.time.LocalDate;
import java.util.Date;
import java.util.Set;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/1/11
 * created with IntelliJ IDEA.
 */
@Data
public class PaymentCollectionVO extends PaymentCollection {


    @Excel(name = "项目名称")
    private String itemName;

    /**
     * 回款名称
     */
    @Excel(name = "回款名称")
    private String name;

    /**
     * 回款金额
     */
    @Excel(name = "回款金额")
    private Double amount;

    /**
     * 回款日期
     */
    @Excel(name = "回款日期")
    private LocalDate paymentDate;

    private Set<Long> userIds;

    private Integer year;

    private Integer month;

    private Boolean isCurYear = false;

    private Boolean isCurMonth = false;

    private LocalDate lastMonth23;

    /**
     * 筛选开始时间
     */
    private Date startDate;

    /**
     * 筛选结束时间
     */
    private Date endDate;

}
