package com.dayou.vo;

import com.dayou.annotation.Excel;
import com.dayou.annotation.ExportCell;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.Date;
import java.util.List;

/**
 * 类说明：大中型实收款统计页VO
 *
 * @author: wucl
 * @since: 2024/5/13
 * created with IntelliJ IDEA.
 */
@Data
public class RealFundMajorStatVO {

    /**
     * 是否金融
     */
    @Excel(name = "分类",readConverterExp="true=金融,false=非金融")
    private Boolean financial;

    /**
     *是否归档
     */
    @Excel(name = "是否归档",readConverterExp="true=已归档,false=未归档")
    private Boolean ifSaveFile;

    /**
     * 项目编号
     */
    @Excel(name = "项目编号")
    private String orderId;

    private String orderName;

    /**
     * 报告号
     */
    @Excel(name = "报告号")
    private String reportNo;

    /**
     * 项目名称
     */
    @Excel(name = "项目名称")
    private String name;

    /**
     * 市场部门
     */
    @Excel(name = "市场部门")
    private String marketDepartment;

    /**
     * 评估部门
     */
    @Excel(name = "评估部门")
    private String evaluateDepartment;

    /**
     * 客户经理
     */
    @Excel(name = "客户经理")
    private String clientManager;

    /**
     * 负责人
     */
    @Excel(name = "负责人")
    private String principal;

    /**
     * 成员姓名集合
     */
    private List<String> membersName;

    private String members;

    /**
     * 分配产值
     */
    private BigDecimal prodValue;

    /**
     * 入账时间
     */
    @Excel(name = "入账时间")
    private LocalDate payDateTime;

    /**
     * 认领时间
     */
    @Excel(name = "认领时间",dateFormat="yyyy-MM-dd HH:mm:ss")
    private Date claimDatetime;

    /**
     * 订单应收款
     */
    private BigDecimal orderShouldAmount;

    /**
     * 产品应收款
     */
    @Excel(name = "应收款（元）")
    private BigDecimal prodShouldAmount;

    /**
     * 认领金额
     */
    @Excel(name = "认领金额（元）")
    private BigDecimal claimAmount;
    /**
     * 认领人
     */
    @Excel(name = "认领人")
    private String claimUser;
    /**
     * 客户名称
     */
    @Excel(name = "客户名称")
    private String clientName;
    /**
     * 业务来源
     */
    @Excel(name = "业务来源")
    private String clientSubName;
    /**
     * 委托人
     */
    @Excel(name = "委托人")
    private String bailor;
    /**
     * 评估价值
     */
    @Excel(name = "评估价值(元)")
    private BigDecimal evaluateAmount;
    /**
     * 付款方
     */
    @Excel(name = "付款方")
    private String payer;
    /**
     * 产品类型
     */
    @Excel(name = "产品类型",readConverterExp="REPORT=报告,STATEMENT=意见书,LETTER=复评函")
    private String productionType;

    private String startDate;

    private String endDate;

    private String payStartDate;

    private String payEndDate;





}
